Bug 79297 - OpenOffice crashes X (mga)
OpenOffice crashes X (mga)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-09 14:46 EST by Kai Puolamaki
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-22 03:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config-4 (1.71 KB, text/plain)
2002-12-09 14:50 EST, Kai Puolamaki
no flags Details
OpenOffice document causing the crash (11.72 KB, application/octet-stream)
2002-12-09 14:52 EST, Kai Puolamaki
no flags Details
Log files (XFree86.0.log and .xsession-errors) (26.38 KB, text/plain)
2002-12-09 14:57 EST, Kai Puolamaki
no flags Details
/var/log/messages (19 Dec) (25.00 KB, text/plain)
2002-12-19 13:58 EST, Kai Puolamaki
no flags Details
output of /sbin/lsmod just before the crash (1.72 KB, text/plain)
2002-12-19 13:58 EST, Kai Puolamaki
no flags Details
output of /sbin/lsmod just after the crash (displaying X login window) (1.72 KB, text/plain)
2002-12-19 13:59 EST, Kai Puolamaki
no flags Details
/proc/interrupts (433 bytes, text/plain)
2002-12-19 14:00 EST, Kai Puolamaki
no flags Details
/proc/pci (2.29 KB, text/plain)
2002-12-19 14:01 EST, Kai Puolamaki
no flags Details

  None (edit)
Description Kai Puolamaki 2002-12-09 14:46:31 EST
From Bugzilla Helper:
User-Agent: Opera/6.1 (Linux 2.4.18-18.8.0 i686; U)  [en]

Description of problem:
OpenOffice crashes the X session after opening some files and scrolling to a specific point in a file, but only if font antialiasing is enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open the attached file with OpenOffice
2. Scroll to the end of the file
3.
	

Actual Results:  X session crashes, throwing me out to the login screen.

Expected Results:  OpenOffice & X session should not crash.

Additional info:

OpenOffice causes the X session to crash after viewing specific parts of some documents. I can reproduce the behaviour with two workstations: one with Matrox G400 (with stock RH drivers) and one with G550&DVI monitor (with Matrox Linux drivers). The attached log files are from to the G400 system. The crash occurs only if screen font antialising has been enabled (Tools -> Options... -> OpenOffice.org -> View -> Screen font antialiasing).
Comment 1 Kai Puolamaki 2002-12-09 14:50:58 EST
Created attachment 88065 [details]
XF86Config-4
Comment 2 Kai Puolamaki 2002-12-09 14:52:27 EST
Created attachment 88066 [details]
OpenOffice document causing the crash
Comment 3 Kai Puolamaki 2002-12-09 14:57:44 EST
Created attachment 88067 [details]
Log files (XFree86.0.log and .xsession-errors)
Comment 4 Mike A. Harris 2002-12-19 05:47:31 EST
Please attach your /var/log/messages also, and the output of lsmod
Comment 5 Kai Puolamaki 2002-12-19 13:58:05 EST
Created attachment 88812 [details]
/var/log/messages (19 Dec)
Comment 6 Kai Puolamaki 2002-12-19 13:58:46 EST
Created attachment 88813 [details]
output of /sbin/lsmod just before the crash
Comment 7 Kai Puolamaki 2002-12-19 13:59:37 EST
Created attachment 88814 [details]
output of /sbin/lsmod just after the crash (displaying X login window)
Comment 8 Kai Puolamaki 2002-12-19 14:00:48 EST
Created attachment 88815 [details]
/proc/interrupts
Comment 9 Kai Puolamaki 2002-12-19 14:01:15 EST
Created attachment 88816 [details]
/proc/pci
Comment 10 Kai Puolamaki 2002-12-19 14:05:33 EST
I created another crash today. /var/log/messages and outputs of /sbin/lsmod
before and after the crash are attached. /proc/interrupts and /proc/pci
might also be useful (or not), they are also attached.

All log and config files related to today's crash are available also from:
http://www.iki.fi/kaip/temp/mgabug/

PS. The crash occurs btw independent of the window manager (Gnome, KDE,
WindowMaker).

PS2. Sorry about the superlong lines in the original report...
Comment 11 Mike A. Harris 2002-12-21 07:00:20 EST
I think I know what this problem is....  I'm about 85% sure that it is resolved
in my latest build of XFree86 4.2.1 for Red Hat Linux 8.0.

If you could please test the following packages out, and report back if they
solve the problem for you, it would be a big help.

ftp://people.redhat.com/mharris/testing/8.0/XFree86/4.2.1-10.2/i386

You will need to download all packages and upgrade using rpm -Uvh *.rpm

For anyone reading this report, please report back as soon as possible
if this solves the problem.

Comment 12 Mike A. Harris 2002-12-21 07:55:12 EST
Oops, these files weren't pushed to the ftpsite correctly.  I have just
pushed them there again.
Comment 13 Kai Puolamaki 2002-12-21 13:06:46 EST
I downloaded and installed (using rpm -Fvh) the new packages. I could not
reproduce the crash after the update. Whatever you did seems to have fixed
the problem. Thanks. :)
Comment 14 Mike A. Harris 2002-12-22 03:49:08 EST
Fantastic.  Thanks for the updated info.  I'll close this as fixed in
ERRATA as an erratum update will be released in the near future.

Note You need to log in before you can comment on or make changes to this bug.